com.amazonaws.codegen.model.intermediate

## Class MemberModel

- java.lang.Object
- - com.amazonaws.codegen.model.intermediate.DocumentationModel
  - - com.amazonaws.codegen.model.intermediate.MemberModel

    public class MemberModel
    extends DocumentationModel

### Field Summary

### Fields inherited from class com.amazonaws.codegen.model.intermediate.DocumentationModel

`documentation`

### Constructor Summary

Constructors
Constructor and Description
`MemberModel()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getC2jName()`
`String` `getC2jShape()`
`String` `getEnumType()`
`String` `getFluentSetterDocumentation()`
`String` `getFluentSetterMethodName()`
`String` `getGetterDocumentation()`
`String` `getGetterMethodName()`
`ReturnTypeModel` `getGetterModel()`
`ParameterHttpMapping` `getHttp()`
`ListModel` `getListModel()`
`MapModel` `getMapModel()`
`String` `getName()`
`String` `getPathMarshaller()`
`String` `getSetterDocumentation()`
`String` `getSetterMethodName()`
`VariableModel` `getSetterModel()`
`ShapeModel` `getShape()`
`String` `getVarargSetterDocumentation()`
`VariableModel` `getVariable()`
`String` `getXmlNameSpaceUri()`
`boolean` `isDeprecated()`
`boolean` `isIdempotencyToken()`
`boolean` `isList()`
`boolean` `isMap()`
`boolean` `isSimple()`
`void` `setC2jName(String c2jName)`
`void` `setC2jShape(String c2jShape)`
`void` `setDeprecated(boolean deprecated)`
`void` `setEnumType(String enumType)`
`void` `setFluentSetterMethodName(String fluentSetterMethodName)`
`void` `setGetterMethodName(String getterMethodName)`
`void` `setGetterModel(ReturnTypeModel getterModel)`
`void` `setHttp(ParameterHttpMapping parameterHttpMapping)`
`void` `setIdempotencyToken(boolean idempotencyToken)`
`void` `setListModel(ListModel listModel)`
`void` `setMapModel(MapModel map)`
`void` `setName(String name)`
`void` `setSetterMethodName(String setterMethodName)`
`void` `setSetterModel(VariableModel setterModel)`
`void` `setShape(ShapeModel shape)`
`void` `setVariable(VariableModel variable)`
`void` `setXmlNameSpaceUri(String xmlNameSpaceUri)`
`String` `toString()`
`MemberModel` `withC2jName(String c2jName)`
`MemberModel` `withC2jShape(String c2jShape)`
`MemberModel` `withEnumType(String enumType)`
`MemberModel` `withFluentSetterMethodName(String fluentMethodName)`
`MemberModel` `withGetterMethodName(String getterMethodName)`
`MemberModel` `withGetterModel(ReturnTypeModel getterModel)`
`MemberModel` `withListModel(ListModel list)`
`MemberModel` `withMapModel(MapModel map)`
`MemberModel` `withName(String name)`
`MemberModel` `withSetterMethodName(String setterMethodName)`
`MemberModel` `withSetterModel(VariableModel setterModel)`
`MemberModel` `withVariable(VariableModel variable)`
`MemberModel` `withXmlNameSpaceUri(String xmlNameSpaceUri)`

### Methods inherited from class com.amazonaws.codegen.model.intermediate.DocumentationModel

`getDocumentation, setDocumentation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MemberModel

    public MemberModel()

### Method Detail

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### withName

    public MemberModel withName(String name)

#### getC2jName

    public String getC2jName()

#### setC2jName

    public void setC2jName(String c2jName)

#### withC2jName

    public MemberModel withC2jName(String c2jName)

#### getC2jShape

    public String getC2jShape()

#### setC2jShape

    public void setC2jShape(String c2jShape)

#### withC2jShape

    public MemberModel withC2jShape(String c2jShape)

#### getVariable

    public VariableModel getVariable()

#### setVariable

    public void setVariable(VariableModel variable)

#### withVariable

    public MemberModel withVariable(VariableModel variable)

#### getSetterModel

    public VariableModel getSetterModel()

#### setSetterModel

    public void setSetterModel(VariableModel setterModel)

#### withSetterModel

    public MemberModel withSetterModel(VariableModel setterModel)

#### getGetterMethodName

    public String getGetterMethodName()

#### setGetterMethodName

    public void setGetterMethodName(String getterMethodName)

#### withGetterMethodName

    public MemberModel withGetterMethodName(String getterMethodName)

#### getSetterMethodName

    public String getSetterMethodName()

#### setSetterMethodName

    public void setSetterMethodName(String setterMethodName)

#### withSetterMethodName

    public MemberModel withSetterMethodName(String setterMethodName)

#### getFluentSetterMethodName

    public String getFluentSetterMethodName()

#### setFluentSetterMethodName

    public void setFluentSetterMethodName(String fluentSetterMethodName)

#### withFluentSetterMethodName

    public MemberModel withFluentSetterMethodName(String fluentMethodName)

#### getGetterModel

    public ReturnTypeModel getGetterModel()

#### setGetterModel

    public void setGetterModel(ReturnTypeModel getterModel)

#### withGetterModel

    public MemberModel withGetterModel(ReturnTypeModel getterModel)

#### getHttp

    public ParameterHttpMapping getHttp()

#### setHttp

    public void setHttp(ParameterHttpMapping parameterHttpMapping)

#### isSimple

    public boolean isSimple()

#### isList

    public boolean isList()

#### isMap

    public boolean isMap()

#### isDeprecated

    public boolean isDeprecated()

#### setDeprecated

    public void setDeprecated(boolean deprecated)

#### getListModel

    public ListModel getListModel()

#### setListModel

    public void setListModel(ListModel listModel)

#### getMapModel

    public MapModel getMapModel()

#### withListModel

    public MemberModel withListModel(ListModel list)

#### setMapModel

    public void setMapModel(MapModel map)

#### withMapModel

    public MemberModel withMapModel(MapModel map)

#### getEnumType

    public String getEnumType()

#### setEnumType

    public void setEnumType(String enumType)

#### withEnumType

    public MemberModel withEnumType(String enumType)

#### getXmlNameSpaceUri

    public String getXmlNameSpaceUri()

#### setXmlNameSpaceUri

    public void setXmlNameSpaceUri(String xmlNameSpaceUri)

#### withXmlNameSpaceUri

    public MemberModel withXmlNameSpaceUri(String xmlNameSpaceUri)

#### getSetterDocumentation

    public String getSetterDocumentation()

#### getGetterDocumentation

    public String getGetterDocumentation()

#### getFluentSetterDocumentation

    public String getFluentSetterDocumentation()

#### getVarargSetterDocumentation

    public String getVarargSetterDocumentation()

#### isIdempotencyToken

    public boolean isIdempotencyToken()

#### setIdempotencyToken

    public void setIdempotencyToken(boolean idempotencyToken)

#### getPathMarshaller

    public String getPathMarshaller()

Returns:
  Implementation of `PathMarshallers.PathMarshaller` to use if this member is bound the the URI.
Throws:
  `IllegalStateException` - If this member is not bound to the URI. Templates should first check `ParameterHttpMapping.isUri()` first.

#### getShape

    public ShapeModel getShape()

#### setShape

    public void setShape(ShapeModel shape)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`